%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		gccxml
Version:	0.9.0
Release:	0.25.20140718.gitab651a2%{?dist}
Summary:	XML output extension to GCC

Group:		Development/Languages
License:	BSD and GPLv2+ and GPLv2+ with exceptions and GPLv3+ with exceptions
URL:		http://www.gccxml.org/
#		Source is created from a git checkout
#		Files for the Borland compiler are excluded for license reasons
#		git clone https://github.com/gccxml/gccxml.git
#		cd gccxml
#		echo 'GCC_XML/Support/Borland/ export-ignore' >> .gitattributes
#		git archive -o ../gccxml-0.9.0-20140718-ab651a2.tar.gz \
#			    --format tar.gz --prefix gccxml-0.9.0-20140718/ \
#		            --worktree-attributes ab651a2
Source0:	%{name}-%{version}-20140718-ab651a2.tar.gz
Patch0:		%{name}-enable-ppc64le.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	bundled(libiberty)

BuildRequires:	cmake

%description
There is one open-source C++ parser, the C++ front-end to GCC, which
is currently able to deal with the language in its entirety. The
purpose of the GCC-XML extension is to generate an XML description of
a C++ program from GCC's internal representation. Since XML is easy to
parse, other development tools will be able to work with C++ programs
without the burden of a complicated C++ parser.

%prep
%setup -q -n %{name}-%{version}-20140718
%patch0 -p1 

%build
%cmake -DGCCXML_DOC_DIR:STRING=`sed 's!^%{_prefix}/!!' <<< %{_pkgdocdir}` .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

chmod 755 %{buildroot}%{_datadir}/%{name}-0.9/IBM/find_flags_common
chmod 755 %{buildroot}%{_datadir}/%{name}-0.9/Sun/find_flags_common

install -p -m 644 GCC/COPYING %{buildroot}%{_pkgdocdir}
mv %{buildroot}%{_datadir}/%{name}-0.9/GCC/COPYING* %{buildroot}%{_pkgdocdir}

%check
ctest

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_bindir}/%{name}_cc1plus
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}-0.9
%doc %{_pkgdocdir}

%changelog
* Thu Oct 16 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.25.20140718.gitab651a2
- Updated git snapshot with updated gcc 4.9 support files

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.24.20140610.gita012b8fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.23.20140610.gita012b8fe
- Updated git snapshot
- Now contains support files for gcc 4.9

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.22.20131209.git9a114c0c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Brent Baude <baude@us.ibm.com> - 0.9.0-0.21.20131209.git9a114c0c
- Adding ppc64le support

* Sat May 10 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.20.20131209.git9a114c0c
- Copy gcc 4.8 support files for gcc 4.9

* Mon Dec 09 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.19.20131209.git9a114c0c
- Updated git snapshot
- Fixes compilation on ppc

* Wed Nov 27 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.18.20130919.gitb040a463
- Updated git snapshot

* Thu Aug 08 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.17.20130506.git567213ac
- Use _pkgdocdir

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.16.20130506.git567213ac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 06 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.15.20130506.git567213ac
- Updated git snapshot
- Now contains support files for gcc 4.8

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.14.20120309
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Jon Ciesla <limburgher@gmail.com> - 0.9.0-0.13.20120309
- Provides: bundled(libiberty)

* Mon Jul 23 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.12.20120309
- Support gcc builtin swap functions

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.11.20120309
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 10 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.10.20120309
- Updated cvs snapshot
- Now contains support files for gcc 4.7

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.9.20111218
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.8.20111218
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.7.20111218
- Updated cvs snapshot

* Sat Feb 12 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.6.20110211
- Updated cvs snapshot
- Drop gccxml-gcc-4.6.patch - accepted upstream

* Wed Feb 09 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.5.20110208
- Updated cvs snapshot
- Add support files for gcc 4.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.4.20100715
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 16 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.3.20100715
- Updated cvs snapshot - contains additional license files

* Thu Jul 15 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.2.20100713
- Extend License tag

* Tue Jul 13 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.9.0-0.1.20100713
- Initial packaging for Fedora
